Bug 837078 - Calculating Dynamic Group with more than one trait in Group Definition fails with QueryParameterException: could not locate named parameter
Calculating Dynamic Group with more than one trait in Group Definition fails ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
unspecified
x86_64 Linux
high Severity high (vote)
: ---
: JON 3.1.1
Assigned To: Deon Ballard
Mike Foley
:
Depends On: 667896 826716
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 12:56 EDT by John Sanda
Modified: 2013-09-03 11:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826716
Environment:
Last Closed: 2013-09-03 11:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 John Sanda 2012-07-02 13:02:17 EDT
We should make it clear in the docs about what is not supported. The expression parsing code was implementing in a way that never supported multiple expressions of the same type even with different resource contexts. This mean that neither of the following are supported:

* multiple expressions of the same type using same resource context
resource.trait[x] = foo
resource.trait[y] = bar

* multiple expressions of the same typing using different resource contexts
resource.parent.trait[x] = foo
resource.grandParent.trait[y] = bar
Comment 2 John Sanda 2012-07-02 13:20:37 EDT
A slight extension of the limitation described in comment 1 is that a definition cannot also contain both resource configuration and plugin configuration expressions.
Comment 3 John Sanda 2012-08-29 21:47:12 EDT
The CR1 build is available at
https://brewweb.devel.redhat.com/buildinfo?buildID=231258. Moving to ON_QA.
Comment 4 Heiko W. Rupp 2013-09-03 11:08:56 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.